package tests.samples.websphere.mq;

import com.ibm.mq.jms.MQBytesMessage;
import com.ibm.mq.jms.MQConnection;
import com.ibm.mq.jms.MQConnectionFactory;
import com.ibm.mq.jms.MQConnectionMetaData;
import com.ibm.mq.jms.MQDestination;
import com.ibm.mq.jms.MQMapMessage;
import com.ibm.mq.jms.MQMessageConsumer;
import com.ibm.mq.jms.MQMessageProducer;
import com.ibm.mq.jms.MQObjectMessage;
import com.ibm.mq.jms.MQQueue;
import com.ibm.mq.jms.MQQueueBrowser;
import com.ibm.mq.jms.MQQueueConnection;
import com.ibm.mq.jms.MQQueueConnectionFactory;
import com.ibm.mq.jms.MQQueueReceiver;
import com.ibm.mq.jms.MQQueueSender;
import com.ibm.mq.jms.MQQueueSession;
import com.ibm.mq.jms.MQSession;
import com.ibm.mq.jms.MQStreamMessage;
import com.ibm.mq.jms.MQTemporaryQueue;
import com.ibm.mq.jms.MQTemporaryTopic;
import com.ibm.mq.jms.MQTextMessage;
import com.ibm.mq.jms.MQTopic;
import com.ibm.mq.jms.MQTopicConnection;
import com.ibm.mq.jms.MQTopicConnectionFactory;
import com.ibm.mq.jms.MQTopicPublisher;
import com.ibm.mq.jms.MQTopicSession;
import com.ibm.mq.jms.MQTopicSubscriber;
import com.ibm.mq.jms.MQXAConnection;
import com.ibm.mq.jms.MQXAConnectionFactory;
import com.ibm.mq.jms.MQXAQueueConnection;
import com.ibm.mq.jms.MQXAQueueConnectionFactory;
import com.ibm.mq.jms.MQXAQueueSession;
import com.ibm.mq.jms.MQXASession;
import com.ibm.mq.jms.MQXATopicConnection;
import com.ibm.mq.jms.MQXATopicConnectionFactory;
import com.ibm.mq.jms.MQXATopicSession;
import com.ibm.mqe.jms.MQeJMSAuthenticator;

import com.ibm.msg.client.wmq.WMQConstants;

import com.ibm.websphere.sib.api.jms.JmsTopicConnectionFactory;
import com.ibm.websphere.sib.api.jms.JmsTopic;
import com.ibm.websphere.sib.api.jms.JmsQueueConnectionFactory;
import com.ibm.websphere.sib.api.jms.JmsQueue;
import com.ibm.websphere.sib.api.jms.JmsMsgProducer;
import com.ibm.websphere.sib.api.jms.JmsMsgConsumer;
import com.ibm.websphere.sib.api.jms.JmsDestination;
import com.ibm.websphere.sib.api.jms.JmsConnectionFactory;
import com.ibm.msg.client.jms.JmsConnection;
import com.ibm.msg.client.jms.JmsConnectionMetaData;
import com.ibm.msg.client.jms.JmsDestination;
import com.ibm.msg.client.jms.JmsMessageConsumer;
import com.ibm.msg.client.jms.JmsMessageProducer;
import com.ibm.msg.client.jms.JmsQueue;
import com.ibm.msg.client.jms.JmsQueueBrowser;
import com.ibm.msg.client.jms.JmsQueueConnection;
import com.ibm.msg.client.jms.JmsQueueConnectionFactory;
import com.ibm.msg.client.jms.JmsQueueReceiver;
import com.ibm.msg.client.jms.JmsQueueSender;
import com.ibm.msg.client.jms.JmsQueueSession;
import com.ibm.msg.client.jms.JmsSession;
import com.ibm.msg.client.jms.JmsTemporaryQueue;
import com.ibm.msg.client.jms.JmsTemporaryTopic;
import com.ibm.msg.client.jms.JmsTopic;
import com.ibm.msg.client.jms.JmsTopicConnection;
import com.ibm.msg.client.jms.JmsTopicConnectionFactory;
import com.ibm.msg.client.jms.JmsTopicPublisher;
import com.ibm.msg.client.jms.JmsTopicSession;
import com.ibm.msg.client.jms.JmsTopicSubscriber;
import com.ibm.msg.client.jms.JmsXAConnection;
import com.ibm.msg.client.jms.JmsXAConnectionFactory;
import com.ibm.msg.client.jms.JmsXAQueueConnection;
import com.ibm.msg.client.jms.JmsXAQueueConnectionFactory;
import com.ibm.msg.client.jms.JmsXAQueueSession;
import com.ibm.msg.client.jms.JmsXASession;
import com.ibm.msg.client.jms.JmsXATopicConnection;
import com.ibm.msg.client.jms.JmsXATopicConnectionFactory;
import com.ibm.msg.client.jms.JmsXATopicSession;
import com.ibm.jms.JMSBytesMessage;
import com.ibm.jms.JMSMapMessage;
import com.ibm.jms.JMSMessage;
import com.ibm.jms.JMSObjectMessage;
import com.ibm.jms.JMSStreamMessage;
import com.ibm.jms.JMSTextMessage;

import com.ibm.mqe.jms.MQeXAQueueConnectionFactory;
import com.ibm.mqe.jms.QueueConnectionFactory;
import com.ibm.mqe.jms.XAQueueConnectionFactory;
import com.ibm.mqe.jms.TopicConnectionFactory;
import com.ibm.mqe.jms.XATopicConnectionFactory;
import com.ibm.mqe.jms.XAConnectionFactory;
import com.ibm.mqe.jms.Destination;
import com.ibm.mqe.jms.Queue;
import com.ibm.mqe.jms.TemporaryQueue;
import com.ibm.mqe.jms.Topic;
import com.ibm.mqe.jms.TemporaryTopic;
import com.ibm.mqe.jms.Connection;
import com.ibm.mqe.jms.QueueConnection;
import com.ibm.mqe.jms.XAQueueConnection;
import com.ibm.mqe.jms.TopicConnection;
import com.ibm.mqe.jms.XATopicConnection;
import com.ibm.mqe.jms.XAConnection;
import com.ibm.mqe.jms.ConnectionMetaData;
import com.ibm.mqe.jms.MessageConsumer;
import com.ibm.mqe.jms.QueueReceiver;
import com.ibm.mqe.jms.TopicSubscriber;
import com.ibm.mqe.jms.MessageProducer;
import com.ibm.mqe.jms.QueueSender;
import com.ibm.mqe.jms.TopicPublisher;
import com.ibm.mqe.jms.QueueBrowser;
import com.ibm.mqe.jms.Session;
import com.ibm.mqe.jms.QueueSession;
import com.ibm.mqe.jms.TopicSession;
import com.ibm.mqe.jms.XASession;
import com.ibm.mqe.jms.XAQueueSession;
import com.ibm.mqe.jms.XATopicSession;

import com.ibm.websphere.sib.api.jms.JmsTopicConnectionFactory;
import com.ibm.websphere.sib.api.jms.JmsTopic;
import com.ibm.websphere.sib.api.jms.JmsQueueConnectionFactory;
import com.ibm.websphere.sib.api.jms.JmsQueue;
import com.ibm.websphere.sib.api.jms.JmsMsgProducer;
import com.ibm.websphere.sib.api.jms.JmsMsgConsumer;
import com.ibm.websphere.sib.api.jms.JmsDestination;
import com.ibm.websphere.sib.api.jms.JmsConnectionFactory;
import com.ibm.msg.client.jms.JmsConnection;
import com.ibm.msg.client.jms.JmsConnectionMetaData;
import com.ibm.msg.client.jms.JmsDestination;
import com.ibm.msg.client.jms.JmsMessageConsumer;
import com.ibm.msg.client.jms.JmsMessageProducer;
import com.ibm.msg.client.jms.JmsQueue;
import com.ibm.msg.client.jms.JmsQueueBrowser;
import com.ibm.msg.client.jms.JmsQueueConnection;
import com.ibm.msg.client.jms.JmsQueueConnectionFactory;
import com.ibm.msg.client.jms.JmsQueueReceiver;
import com.ibm.msg.client.jms.JmsQueueSender;
import com.ibm.msg.client.jms.JmsQueueSession;
import com.ibm.msg.client.jms.JmsSession;
import com.ibm.msg.client.jms.JmsTemporaryQueue;
import com.ibm.msg.client.jms.JmsTemporaryTopic;
import com.ibm.msg.client.jms.JmsTopic;
import com.ibm.msg.client.jms.JmsTopicConnection;
import com.ibm.msg.client.jms.JmsTopicConnectionFactory;
import com.ibm.msg.client.jms.JmsTopicPublisher;
import com.ibm.msg.client.jms.JmsTopicSession;
import com.ibm.msg.client.jms.JmsTopicSubscriber;
import com.ibm.msg.client.jms.JmsXAConnection;
import com.ibm.msg.client.jms.JmsXAConnectionFactory;
import com.ibm.msg.client.jms.JmsXAQueueConnection;
import com.ibm.msg.client.jms.JmsXAQueueConnectionFactory;
import com.ibm.msg.client.jms.JmsXAQueueSession;
import com.ibm.msg.client.jms.JmsXASession;
import com.ibm.msg.client.jms.JmsXATopicConnection;
import com.ibm.msg.client.jms.JmsXATopicConnectionFactory;
import com.ibm.msg.client.jms.JmsXATopicSession;
import com.ibm.jms.JMSBytesMessage;
import com.ibm.jms.JMSMapMessage;
import com.ibm.jms.JMSMessage;
import com.ibm.jms.JMSObjectMessage;
import com.ibm.jms.JMSStreamMessage;
import com.ibm.jms.JMSTextMessage;


public class AllClasses
{

    private int a = com.ibm.msg.client.wmq.WMQConstants.WMQ_SYNCPOINT_ALL_GETS;


    public void a()
    {
        new MQConnection();
        new MQQueueConnection();
        new MQConnectionFactory();
        new MQQueueConnectionFactory();
        new MQConnectionMetaData();
        new MQDestination();
        new MQQueue();
        new MQQueue();
        new MQTemporaryQueue();
        new MQTemporaryQueue();
        new MQBytesMessage();
        new MQMapMessage();
        new MQObjectMessage();
        new MQStreamMessage();
        new MQTextMessage();
        new MQMessageConsumer();
        new MQQueueReceiver();
        new MQMessageProducer();
        new MQQueueSender();
        new MQQueueBrowser();
        new MQSession();
        new MQQueueSession();
        new MQQueueConnectionFactory();
        new MQXAQueueConnectionFactory();
        new MQTopicConnectionFactory();
        new MQXATopicConnectionFactory();
        new MQXAConnectionFactory();
        new MQDestination();
        new MQQueue();
        new MQTemporaryQueue();
        new MQTopic();
        new MQTemporaryTopic();
        new MQConnection();
        new MQQueueConnection();
        new MQXAQueueConnection();
        new MQTopicConnection();
        new MQXATopicConnection();
        new MQXAConnection();
        new MQConnectionMetaData();
        new MQMessageConsumer();
        new MQQueueReceiver();
        new MQTopicSubscriber();
        new MQMessageProducer();
        new MQQueueSender();
        new MQTopicPublisher();
        new MQQueueBrowser();
        new MQSession();
        new MQQueueSession();
        new MQTopicSession();
        new MQXASession();
        new MQXAQueueSession();
        new MQXATopicSession();

        new JmsXATopicConnectionFactory();
        new MQeXAQueueConnectionFactory();
        new QueueConnectionFactory();
        new XAQueueConnectionFactory();
        new TopicConnectionFactory();
        new XATopicConnectionFactory();
        new XAConnectionFactory();
        new Destination();
        new Queue();
        new TemporaryQueue();
        new Topic();
        new TemporaryTopic();
        new Connection();
        new QueueConnection();
        new XAQueueConnection();
        new TopicConnection();
        new XATopicConnection();
        new XAConnection();
        new ConnectionMetaData();
        new MessageConsumer();
        new QueueReceiver();
        new TopicSubscriber();
        new MessageProducer();
        new QueueSender();
        new TopicPublisher();
        new QueueBrowser();
        new Session();
        new QueueSession();
        new TopicSession();
        new XASession();
        new XAQueueSession();
        new XATopicSession();

        new JmsTopicConnectionFactory();
        new JmsTopic();
        new JmsQueueConnectionFactory();
        new JmsQueue();
        new JmsMsgProducer();
        new JmsMsgConsumer();
        new JmsDestination();
        new JmsConnectionFactory();
        new JmsConnection();
        new JmsConnectionMetaData();
        new JmsDestination();
        new JmsMessageConsumer();
        new JmsMessageProducer();
        new JmsQueue();
        new JmsQueueBrowser();
        new JmsQueueConnection();
        new JmsQueueConnectionFactory();
        new JmsQueueReceiver();
        new JmsQueueSender();
        new JmsQueueSession();
        new JmsSession();
        new JmsTemporaryQueue();
        new JmsTemporaryTopic();
        new JmsTopic();
        new JmsTopicConnection();
        new JmsTopicConnectionFactory();
        new JmsTopicPublisher();
        new JmsTopicSession();
        new JmsTopicSubscriber();
        new JmsXAConnection();
        new JmsXAConnectionFactory();
        new JmsXAQueueConnection();
        new JmsXAQueueConnectionFactory();
        new JmsXAQueueSession();
        new JmsXASession();
        new JmsXATopicConnection();
        new JmsXATopicConnectionFactory();
        new JmsXATopicSession();
        new com.ibm.jms.JMSBytesMessage();
        new com.ibm.jms.JMSMapMessage();
        new com.ibm.jms.JMSMessage();
        new com.ibm.jms.JMSObjectMessage();
        new com.ibm.jms.JMSStreamMessage();
        new com.ibm.jms.JMSTextMessage();
    }

}
